package com.xinelu.familydoctor.mapper;

import com.xinelu.familydoctor.entity.EvaluateAdviceTemplate;

import java.util.List;

/**
* @author gaoyu
* @description 针对表【evaluate_advice_template(自我评估健康处方模板表)】的数据库操作Mapper
* @createDate 2023-10-16 16:51:09
* @Entity com.xinelu.familydoctor.entity.EvaluateAdviceTemplate
*/
public interface EvaluateAdviceTemplateMapper {

    List<EvaluateAdviceTemplate> findList(EvaluateAdviceTemplate record);

    EvaluateAdviceTemplate getTemplateByType(String templateType);

    int insert(EvaluateAdviceTemplate record);

    int update(EvaluateAdviceTemplate record);

}
